Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-37175

configure does not offer GPL v3 license

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P4: Low
    • Resolution: Done
    • Affects Version/s: 5.2.1, 5.3.0 Alpha
    • Fix Version/s: 5.3.0
    • Component/s: Build System
    • Labels:
      None
    • Commits:
      02c8306da6c9c738c8191b23e216602a741d73e4

      Description

      When running configure and selecting the Open Source Edition, only the Lesser GNU General Public License version 2.1 (aka LGPL v2) is offered. According to Qt Project's download page (http://qt-project.org/downloads), and as stated in source code files, Qt is available also under GPL v3.

      The problem is that configure offers the GPL v3 option only if there is a file LICENSE.GPL3 which it may display upon user request. However, this file does not exist. The GPL v3 license text is supplied in LICENSE.GPL.

      BTW, the download page's "Learn more about licenses here" link points to another page (http://qt-project.org/products/licensing) which fails to mention the GNU General Public License version 3 option.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            thiago Thiago Macieira
            Reporter:
            dg0yt Kai Pastor
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes